iT邦幫忙

0

請問我各別安裝php+mysql+phpmydamin+apache 但卻不能用

請問我照以下網址的圖文說明操作安裝 php+mysql+phpmydamin+apache 完成後,進入phpmydamin 卻出現
phpMyAdmin - 錯誤
無法讀取 mysql 模組,
請檢查 PHP 設定 - 說明文件

網址為 http://funp.com/t291988#p=291988

你不是已經用appserv了嗎?
怎麼又回頭各別安裝php+mysql+phpmyadmin+apache了呢?
kane18456 iT邦新手 5 級 ‧ 2009-05-20 18:08:55 檢舉
因為用appserv 發現 utf-8 怎麼設定都會錯,朋友說他是各別裝的,一樣的語法,他卻沒問題,所以才各別裝,不過後來我感覺是php5的問題,我因為在php4的環境下就ok,後來也就沒有深入了解了,因為我想要先做出個東西來,感動一下自已 ^^"
20
pcboy
iT邦高手 1 級 ‧ 2009-05-14 18:03:05
最佳解答

php-mysql 模組沒有安裝

kane18456 iT邦新手 5 級 ‧ 2009-05-14 18:28:28 檢舉

您說的方法我都在網路上查過試過了都沒用,謝謝您,
不用appserv的原因是我之前發過的文,我php+mysql用 utf-8的話就會出現亂碼,我朋友同樣的語法,不跑在appserv的話就ok,我是appserv 2.5.7的,所以 = ="

18
pail
iT邦新手 4 級 ‧ 2009-05-14 19:34:48

會亂碼? 應該是編碼的議題~ 跟用appserv 沒有關係才是.
另外有一套 叫 WampServer 也是一套整合型的 工具: php + mysql + apache + phpMyAdmin, 個人比較喜歡這套, 因它比較有彈性.

kane18456 iT邦新手 5 級 ‧ 2009-05-18 14:42:00 檢舉

我用appserv 2.5.9 是php5的 我改用appserv 2.4.9 是php4的就不會了

12
liaozi
iT邦新手 4 級 ‧ 2009-05-15 16:03:23

非常推薦 Xampp

因為,XAMPP 是一個相當容易安裝的Apache擴充版本,它已經包括了MySQL、PHP及Perl 等軟體在其中。XAMPP 非常容易安裝及使用,你只需要:下載、解壓縮及啟動就可以了。

我要發表回答

立即登入回答